EC_DICT_DEL(3)

NAME
ec_dict_del - Delete an object from the hash table.

SYNOPSIS
#include <ecoli/dict.h>

int ec_dict_del(
    struct ec_dict   *dict,  /* The hash table. */
    const char       *key    /* The key string. Must not be NULL. */
);

RETURN VALUE

0 on success, or -1 on error (errno is set).

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_dup(3), ec_dict(3), ec_dict_set(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_next(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.